
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "active_query/version"

Gem::Specification.new do |spec|
  spec.name          = "activequery"
  spec.version       = ActiveQuery::VERSION
  spec.authors       = ["Marko"]
  spec.email         = ["marko.tunjic@live.com"]

  spec.summary       = %q{A Ruby library for using SQL (Streaming, CQRS)}
  spec.description   = %q{Raw sql with ruby - ideal for reports, large queries, separating SQL from code logic and CQRS}
  spec.homepage      = "https://github.com/mtunjic/activequery"
  spec.license       = "MIT"

  spec.files        = Dir["CHANGELOG.md", "MIT-LICENSE", "README.rdoc", "lib/**/*"]
  spec.require_path = "lib"

  # spec.extra_rdoc_files = %w(README.rdoc)
  # spec.rdoc_options.concat ["--main",  "README.rdoc"]

  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"

    spec.metadata["homepage_uri"] = spec.homepage
    # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
    # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  #spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables   = ["activequery"]
  spec.require_paths = ["lib"]


  spec.add_runtime_dependency 'strscan', '~> 1.0'
  #spec.add_runtime_dependency 'zscan', '~> 2.0.5' 

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency 'pg', '~> 1.0'
  spec.add_development_dependency 'benchmark-memory', '~> 0.1.2'
  spec.add_development_dependency 'rantly', '~> 2.0.0'
  
end
